package com.xinxincaravan.caravan.vehicle.mapper;

import com.xinxincaravan.caravan.vehicle.entity.BranchCompanyStockInfo;
import com.xinxincaravan.caravan.vehicle.vo.BranchCompanyStockInfoVo;
import com.xinxincaravan.caravan.vehicle.vo.BranchCompanyStockSearchVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;
import java.util.List;

public interface BranchCompanyStockInfoMapper extends Mapper<BranchCompanyStockInfo> {
    List<BranchCompanyStockInfoVo> selectVoAll();

    List<BranchCompanyStockInfoVo> search(BranchCompanyStockSearchVo searchVo);

    int updateBalance(@Param("companyId") Integer companyId, @Param("balance") Integer balance, @Param("lastBalance") Integer lastBalance);

    List<Integer> selectAllPrice();
    int addCompamyList(@Param("list") List<BranchCompanyStockInfo> list);

    String selectInfoById(Integer id);
}